<script>
export default {
  props: {
    customers: {
      type: Array,
      required: true,
    },
  },
  data() {
    return {
      selectedIndex: 0,
      tabs: [],
    };
  },
  created() {
    this.tabs = this.$children;
  },
  mounted() {
    this.selectTab(0);
  },
  methods: {
    selectTab(i) {
      this.selectedIndex = i;

      this.tabs.forEach((tab, index) => {
        tab.isActive = index === i; // eslint-disable-line no-param-reassign
      });
    },
  },
};
</script>

<template>
  <div class="header-tab">
    <slot></slot>
    <div role="tablist" aria-orientation="horizontal" class="tablist">
      <button
        v-for="(customer, index) in customers"
        :id="customer.label + '-tab'"
        :key="customer.name"
        role="tab"
        :aria-selected="index == selectedIndex"
        :aria-controls="customer.label + '-content-panel'"
        class="tab"
        @click="selectTab(index)"
      >
        <nuxt-img
          v-if="customer.logo_img_url"
          class="tab-image"
          :src="customer.logo_img_url"
          :alt="customer.name"
          loading="lazy"
        />
        <p v-else>{{ customer.name }}</p>
      </button>
    </div>
  </div>
</template>

<style lang="scss" scoped>
.header-tab {
  margin-top: $spacing-96;
}

.tablist {
  display: flex;
  justify-content: space-between;
  flex-wrap: nowrap;
  align-items: center;
  position: relative;
  margin-top: $spacing-96;
  height: 90px;
}

.tab {
  max-width: 140px;
  position: relative;
  outline: none;
  border: none;
  padding: 0;
  cursor: pointer;
  transition: padding 0.3s ease-in;

  &::after {
    content: '';
    display: block;
    position: absolute;
    top: 50%;
    left: 0;
    height: 3px;
    width: 100%;
    background: $color-surface-300;
    z-index: 50;
    opacity: 0;
    transition: opacity 0.3s ease-in;
  }

  &:hover,
  &[aria-selected='true'] {
    padding-bottom: 7%;

    &::after {
      opacity: 1;
    }
  }

  &-image {
    width: 100%;
  }
}

@media (max-width: 768px) {
  .tablist {
    position: relative;
    overflow-x: auto;
    white-space: nowrap;
    margin-top: $spacing-16;
    height: 100px;
  }

  .header-tab {
    margin-top: $spacing-32;
  }

  .tab {
    margin-right: $spacing-16;
    width: 100px;
    max-width: 100px;
    flex: 0 0 auto;
  }
}
</style>
